[Metadata]
Name=LineMon
Author=Bruce
Information=
License=
Version=1.0

[Variables]
Height=768
ColorPower=52,255,82,255
ColorCharging=9,166,0,255
ColorPowerLow=196,167,0,255
ColorPowerCritical=154,31,0,255
Width=2
WidthBold=7
HeightText=740
HeightText2=710
TextColor=51,204,153,255
TextFace=Comic Sans MS
TextSize=16
TextPosx=0

[Rainmeter]
Update=1000
DynamicWindowSize=1

[MeasurePowerPercentage]
Measure=Plugin
Plugin=PowerPlugin
PowerState=Percent

[MeasurePowerStatus]
Measure=Plugin
Plugin=PowerPlugin
PowerState=Status
IfEqualValue=0
IfEqualAction=!Execute[!SetOption MeterPower Text "No Battery"]  & [!SetOption MeterStatus Text ""]
IfEqualValue=1
IfEqualAction=!Execute [!SetOption MeterPower Text "Power: %1%"] & [!SetOption MeterStatus Text "Charging."] & [!SetOption MeterBar BarColor #ColorPowerCharging#]
IfEqualValue=2
IfEqualAction=!Execute [!SetOption MeterPower Text "Power: %1%"] & [!SetOption MeterStatus Text "Critical."] & [!SetOption MeterBar BarColor #ColorPowerCritical#]
IfEqualValue=3
IfEqualAction=!Execute [!SetOption MeterPower Text "Power: %1%"] & [!SetOption MeterStatus Text "Low."] & [!SetOption MeterBar BarColor #ColorPowerLow#]
IfEqualValue=4
IfEqualAction=!Execute [!SetOption MeterPower Text "Power: %1%"] & [!SetOption MeterStatus Text "Low."] & [!SetOption MeterBar BarColor #ColorPowerLow#]

[MeterBar]
MeasureName=MeasurePowerPercentage
Meter=Bar
X=130
Y=0
W=#Width#
H=#Height#
BarColor=#ColorPower#
SolidColor=150,150,150,255
BarOrientation=Vertical
MouseOverAction=!Execute[!SetOption MeterBar W #WidthBold#] & [!ShowMeter MeterPower] & [!ShowMeter MeterStatus]
MouseLeaveAction=!Execute[!SetOption MeterBar W #Width#] & [!HideMeter MeterPower] & [!HideMeter MeterStatus]

[MeterPower]
MeasureName=MeasurePowerPercentage
Meter=String
AntiAlias=1
X=#TextPosx#
Y=#HeightText#
FontFace=#TextFace#
FontColor=#TextColor#
FontSize=#TextSize#
Text=Power: %1%
Hidden=1

[MeterStatus]
Meter=String
AntiAlias=1
X=#TextPosx#
Y=#HeightText2#
FontFace=#TextFace#
FontColor=#TextColor#
FontSize=#TextSize#
Text=High
Hidden=1

